javax.faces.event

## Class SystemEvent

- java.lang.Object
- - java.util.EventObject
  - - javax.faces.event.SystemEvent

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    ComponentSystemEvent, ExceptionQueuedEvent, PostConstructApplicationEvent, PostConstructCustomScopeEvent, PostKeepFlashValueEvent, PostPutFlashValueEvent, PreClearFlashEvent, PreDestroyApplicationEvent, PreDestroyCustomScopeEvent, PreRemoveFlashValueEvent

      public abstract class SystemEvent
      extends EventObject

  SystemEvent is the base class for non-application specific events that can be fired by arbitrary objects.

  Since:
    2.0
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SystemEvent(Object source)` Pass the argument `source` to the superclass constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isAppropriateListener(FacesListener listener)` Return `true` if this `FacesListener` is an instance of a the appropriate listener class that this event supports.
    `void` | `processListener(FacesListener listener)` Broadcast this event instance to the specified `FacesListener`, by whatever mechanism is appropriate.

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SystemEvent

          public SystemEvent(Object source)

      Pass the argument `source` to the superclass constructor.

      Parameters:
        `source` - the `source` reference to be passed to the superclass constructor.
      Throws:
        ``IllegalArgumentException`` - if the argument is `null`.

  - ### Method Detail

    - #### isAppropriateListener

          public boolean isAppropriateListener(FacesListener listener)

      Return `true` if this `FacesListener` is an instance of a the appropriate listener class that this event supports. The default implementation returns true if the listener is a `ComponentSystemEventListener`.

      Parameters:
        `listener` - `FacesListener` to evaluate

    - #### processListener

          public void processListener(FacesListener listener)

      Broadcast this event instance to the specified `FacesListener`, by whatever mechanism is appropriate. Typically, this will be accomplished by calling an event processing method, and passing this instance as a paramter.

      Parameters:
        `listener` - `FacesListener` to send this `FacesEvent` to
      Throws:
        `AbortProcessingException` - Signal the JavaServer Faces implementation that no further processing on the current event should be performed

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.